{% extends 'base.html' %}

{% block header_text %}My Lists{% endblock %}

{% block list_form %}{% endblock %}

{% block extra_content %}
    <h2>{{ owner.email }}'s lists</h2>  
    <ul>
        {% for list in owner.owned_lists.all %}  
            <li><a href="{{ list.get_absolute_url }}">{{ list.name }}</a></li>  
        {% endfor %}
    </ul>
	{% if owner.shared_lists.all %}  
		<h2>Shared lists</h2>  
		<ul>
			{% for list in owner.shared_lists.all %}  
				<li>
					<a href="{{ list.get_absolute_url }}">{{ list.name }}</a>
					(by {{ list.owner.email }})
				</li>  
			{% endfor %}
		</ul>
	{% endif %}	
{% endblock %}